Summary:	A GNU utility for secure communication and data storage.
Name:		gnupg
Version:	1.0.6
Release:	1.3.0
Copyright:	GPL
Group:		Applications/Cryptography
Source0:	ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.gz
Patch0:		gnupg-klima-rosa.diff
Provides:	gpg openpgp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%prep
%setup -q
%patch0 -p0

%build
%configure --enable-shared
make CFLAGS="$RPM_OPT_FLAGS"

%install
%{makeinstall}
sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
install -m755 lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
  %doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP doc/faq.html
  %doc g*/OPTIONS g*/pubring.asc

  %attr(4755,root,root)	%{_bindir}/gpg
  %{_bindir}/gpgv
  %{_bindir}/lspgpot
  %{_datadir}/gnupg
  %{_datadir}/locale/*/*/*
  %{_libdir}/gnupg
  %{_mandir}/man1/gpg.*
  %{_mandir}/man1/gpgv.*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Mar 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.6, Release 1.2.1
  - Install gnupg binary suid root.
  - Ryan-ize spec, purge pre-EnGarde changelog.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.6, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed May 30 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.6, Release 1.0.3
  - New upstream fixes format string bug in util/ttyio.c (Closes #00033).
  - Removed all old patches (fixed in 1.0.6) except the klima-rosa.diff, since
    it imposes stricter integrity checking on the keys.

* Mon Mar 26 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.4, Release 1.0.2
  - Applied patch by Florian Weimer <fw@deneb.enyo.de> to enforce
    better integrity checking on secret keyring.

* Mon Feb 05 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.4, Release 1.0.1
  - Initial build for EnGarde 1.0.1.
